Skip to content

List all Projects

Request

Admin roles:
  • access_user
  • access_admin
  • reporting_user

Lists all Projects for your Team

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

Query
offsetstring

The UUID of an object used as an offset for pagination

countinteger, (int32)

Controls the number of objects listed per page

descendingboolean

If 'true', the most recent results are listed first

prevboolean

Controls the direction of paging

selfboolean

If 'true', results only include Projects assigned to the current User

containsstring

If defined, results only include Projects that use the specified value in their name

traffic_forwardingboolean

If 'true', results only include Projects that have traffic forwarding enabled

include_resource_countboolean

If 'true', results also include the number of available resources for each project

curl -i -X GET \
  'https://app.scaleft.com/v1/teams/{team_name}/projects?offset=string&count=0&descending=true&prev=true&self=true&contains=string&traffic_forwarding=true&include_resource_count=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Headers
Bodyapplication/json
listArray of objects(Project)
Response
{ "list": [ { … }, { … } ] }